Bug 1989712 - OLM fails with 'ResolutionFailed' found multiple channel heads due to deprecated inner channel entry
Summary: OLM fails with 'ResolutionFailed' found multiple channel heads due to depreca...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Kevin Rizza
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1982294
Blocks: 1990627
TreeView+ depends on / blocked
 
Reported: 2021-08-03 18:42 UTC by Ben Luddy
Modified: 2021-08-17 12:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1982294
Environment:
Last Closed: 2021-08-17 12:12:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 2313 0 None None None 2021-08-03 18:49:50 UTC
Red Hat Product Errata RHBA-2021:3032 0 None None None 2021-08-17 12:12:50 UTC

Comment 3 Jian Zhang 2021-08-06 03:54:40 UTC
1, Install an OCP cluster that contains the fixed PR.

[cloud-user@preserve-olm-env jian]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-08-05-222615   True        False         4m      Cluster version is 4.7.0-0.nightly-2021-08-05-222615
[cloud-user@preserve-olm-env jian]$ oc -n openshift-operator-lifecycle-manager exec deploy/catalog-operator -- olm --version
OLM version: 0.17.0
git commit: b0453a0cbe16693a79593022c20274ee2cb22987

2, Create a CatalogSource that consumes an index image that contains the AMQ Stream v1.6.2.

[cloud-user@preserve-olm-env jian]$ cat cs-amq.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: amq-operators
  namespace: openshift-marketplace
spec:
  displayName: Jian Operators
  image: quay.io/olmqe/rh-index:amq
  priority: -100
  publisher: Jian
  sourceType: grpc
  updateStrategy:
    registryPoll:
      interval: 10m0s
[cloud-user@preserve-olm-env jian]$ oc create -f cs-amq.yaml 
catalogsource.operators.coreos.com/amq-operators created

[cloud-user@preserve-olm-env jian]$  oc get packagemanifest|grep Jian|grep amq
amq-streams                                          Jian Operators        45s
amq-broker                                           Jian Operators        45s
amq7-interconnect-operator                           Jian Operators        45s
amq-online                                           Jian Operators        45s
amq-broker-rhel8                                     Jian Operators        45s
amq-broker-lts                                       Jian Operators        45s

3, Subscribe to the amqstreams.v1.6.2.
[cloud-user@preserve-olm-env jian]$ oc get sub -n openshift-operators
NAME          PACKAGE       SOURCE          CHANNEL
amq-streams   amq-streams   amq-operators   amq-streams-1.6.x

[cloud-user@preserve-olm-env jian]$ oc get ip -n openshift-operators
NAME            CSV                 APPROVAL    APPROVED
install-r4rkx   amqstreams.v1.6.2   Automatic   true

[cloud-user@preserve-olm-env jian]$ oc get csv -n openshift-operators
NAME                DISPLAY                             VERSION   REPLACES            PHASE
amqstreams.v1.6.2   Red Hat Integration - AMQ Streams   1.6.2     amqstreams.v1.6.1   Succeeded

4, Upgrade it to AMQ Streams v1.7.2 by switching the channel to `stable`. no `multiple channel heads` error was found. Verify it.
[cloud-user@preserve-olm-env jian]$ oc get sub -n openshift-operators
NAME          PACKAGE       SOURCE          CHANNEL
amq-streams   amq-streams   amq-operators   stable
[cloud-user@preserve-olm-env jian]$ oc logs catalog-operator-654d9858d7-4cztt|grep "multiple channel heads"
[cloud-user@preserve-olm-env jian]$

Comment 6 errata-xmlrpc 2021-08-17 12:12:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.24 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3032


Note You need to log in before you can comment on or make changes to this bug.